Categories:
  - Games
License: GPL-3.0-or-later
AuthorName: Aurélien Gâteau
AuthorEmail: srv@agateau.com
WebSite: https://agateau.com/projects/pixelwheels/
SourceCode: https://github.com/agateau/pixelwheels
IssueTracker: https://github.com/agateau/pixelwheels/issues
Changelog: https://github.com/agateau/pixelwheels/blob/HEAD/CHANGELOG.md

AutoName: Pixel Wheels

RepoType: git
Repo: https://github.com/agateau/pixelwheels

Builds:
  - versionName: 0.12.0
    versionCode: 11
    commit: 0.12.0
    subdir: android
    sudo:
      - apt-get update
      - apt-get install -y aseprite python3-setuptools python3-pil xvfb xauth imagemagick-6.q16
    gradle:
      - yes
    srclibs:
      - pafx@269b0241a4b5507a1f45d0aa576fb9f9dad91ad8
    rm:
      - tools/packr.jar
    prebuild: sed -i -e 's#./gradlew#gradle#' ../Makefile
    scandelete:
      - android/libs/
    build:
      - gradle tools:dist -b ../build.gradle
      - export PYTHONPATH=../$$pafx$$/build/lib/
      - xvfb-run -a make -C .. assets
      - xvfb-run -a make -C .. mapscreenshotgenerator
      - make -C .. packer

  - versionName: 0.13.0
    versionCode: 12
    commit: 0.13.0
    subdir: android
    sudo:
      - apt-get update
      - apt-get install -y aseprite python3-setuptools python3-pil xvfb xauth imagemagick-6.q16
    gradle:
      - yes
    srclibs:
      - pafx@269b0241a4b5507a1f45d0aa576fb9f9dad91ad8
    rm:
      - tools/packr.jar
    prebuild: sed -i -e 's#./gradlew#gradle#' ../Makefile
    scandelete:
      - android/libs/
    build:
      - gradle tools:dist -b ../build.gradle
      - export PYTHONPATH=../$$pafx$$/build/lib/
      - xvfb-run -a make -C .. assets
      - xvfb-run -a make -C .. mapscreenshotgenerator
      - make -C .. packer

  - versionName: 0.14.1
    versionCode: 14
    commit: 0.14.1
    subdir: android
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ python3-pil imagemagick-6.q16 ninja-build libx11-dev
        libxcursor-dev
    gradle:
      - yes
    srclibs:
      - aseprite@v1.2.16.3
      - pafx@269b0241a4b5507a1f45d0aa576fb9f9dad91ad8
    rm:
      - tools/packr.jar
    prebuild: sed -i -e 's#./gradlew#gradle#' ../Makefile
    scandelete:
      - android/libs/
    build:
      - install_dir=$PWD/aseprite
      - pushd $$aseprite$$
      - mkdir -p build
      - cd build
      - cmake "-DCMAKE_INSTALL_PREFIX=$install_dir" -DENABLE_UI=OFF -DCMAKE_BUILD_TYPE=MinSizeRel
        -G Ninja ..
      - ninja aseprite
      - ninja install
      - popd
      - export PATH=$PATH:$PWD/aseprite/bin
      - gradle tools:dist -b ../build.gradle
      - export PYTHONPATH=../$$pafx$$/build/lib/
      - make -C .. assets
      - make -C .. packer

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 0.13.0
CurrentVersionCode: 12
